// This file is part of the SV-Benchmarks collection of verification tasks:
// https://gitlab.com/sosy-lab/benchmarking/sv-benchmarks
//
// SPDX-FileCopyrightText: 2023 Levente Bajczi, Department of Measurement and Information Systems, Budapest University of Technology and Economics
//
// SPDX-License-Identifier: Apache-2.0

// Original CHC file: vmt-chc-benchmarks/dillig05.c_000.smt2
extern void abort ();
extern int __VERIFIER_nondet_int ();
extern _Bool __VERIFIER_nondet__Bool ();
extern void __assert_fail(const char *, const char *, unsigned int, const char *) __attribute__ ((__nothrow__ , __leaf__)) __attribute__ ((__noreturn__));
void reach_error() { __assert_fail("0", "dillig05.c_000_range.c", 13, "reach_error"); }



int main ();

int
main ()
{
    // return parameter


    // variables
    _Bool state_0;
    _Bool state_1;
    _Bool state_2;
    _Bool state_3;
    int state_4;
    int state_5;
    int state_6;
    int state_7;
    int state_8;
    _Bool A_0;
    _Bool B_0;
    _Bool C_0;
    int D_0;
    int E_0;
    int F_0;
    int G_0;
    int H_0;
    _Bool I_0;
    _Bool A_1;
    _Bool B_1;
    _Bool C_1;
    _Bool D_1;
    _Bool E_1;
    _Bool F_1;
    _Bool G_1;
    int H_1;
    int I_1;
    int J_1;
    int K_1;
    int L_1;
    int M_1;
    int N_1;
    int O_1;
    int P_1;
    int Q_1;
    int R_1;
    _Bool S_1;
    _Bool A_2;
    _Bool B_2;
    _Bool C_2;
    int D_2;
    int E_2;
    int F_2;
    int G_2;
    int H_2;
    _Bool I_2;

    if (((state_4 <= -1000000000) || (state_4 >= 1000000000))
        || ((state_5 <= -1000000000) || (state_5 >= 1000000000))
        || ((state_6 <= -1000000000) || (state_6 >= 1000000000))
        || ((state_7 <= -1000000000) || (state_7 >= 1000000000))
        || ((state_8 <= -1000000000) || (state_8 >= 1000000000))
        || ((D_0 <= -1000000000) || (D_0 >= 1000000000))
        || ((E_0 <= -1000000000) || (E_0 >= 1000000000))
        || ((F_0 <= -1000000000) || (F_0 >= 1000000000))
        || ((G_0 <= -1000000000) || (G_0 >= 1000000000))
        || ((H_0 <= -1000000000) || (H_0 >= 1000000000))
        || ((H_1 <= -1000000000) || (H_1 >= 1000000000))
        || ((I_1 <= -1000000000) || (I_1 >= 1000000000))
        || ((J_1 <= -1000000000) || (J_1 >= 1000000000))
        || ((K_1 <= -1000000000) || (K_1 >= 1000000000))
        || ((L_1 <= -1000000000) || (L_1 >= 1000000000))
        || ((M_1 <= -1000000000) || (M_1 >= 1000000000))
        || ((N_1 <= -1000000000) || (N_1 >= 1000000000))
        || ((O_1 <= -1000000000) || (O_1 >= 1000000000))
        || ((P_1 <= -1000000000) || (P_1 >= 1000000000))
        || ((Q_1 <= -1000000000) || (Q_1 >= 1000000000))
        || ((R_1 <= -1000000000) || (R_1 >= 1000000000))
        || ((D_2 <= -1000000000) || (D_2 >= 1000000000))
        || ((E_2 <= -1000000000) || (E_2 >= 1000000000))
        || ((F_2 <= -1000000000) || (F_2 >= 1000000000))
        || ((G_2 <= -1000000000) || (G_2 >= 1000000000))
        || ((H_2 <= -1000000000) || (H_2 >= 1000000000)))
        abort ();

    // main logic
    goto main_init;

  main_init:
    if (!((!B_0) && A_0 && (!I_0) && (!C_0)))
        abort ();
    state_0 = C_0;
    state_1 = A_0;
    state_2 = B_0;
    state_3 = I_0;
    state_4 = D_0;
    state_5 = E_0;
    state_6 = F_0;
    state_7 = G_0;
    state_8 = H_0;
    D_1 = __VERIFIER_nondet__Bool ();
    E_1 = __VERIFIER_nondet__Bool ();
    F_1 = __VERIFIER_nondet__Bool ();
    G_1 = __VERIFIER_nondet__Bool ();
    H_1 = __VERIFIER_nondet_int ();
    if (((H_1 <= -1000000000) || (H_1 >= 1000000000)))
        abort ();
    J_1 = __VERIFIER_nondet_int ();
    if (((J_1 <= -1000000000) || (J_1 >= 1000000000)))
        abort ();
    L_1 = __VERIFIER_nondet_int ();
    if (((L_1 <= -1000000000) || (L_1 >= 1000000000)))
        abort ();
    N_1 = __VERIFIER_nondet_int ();
    if (((N_1 <= -1000000000) || (N_1 >= 1000000000)))
        abort ();
    P_1 = __VERIFIER_nondet_int ();
    if (((P_1 <= -1000000000) || (P_1 >= 1000000000)))
        abort ();
    R_1 = __VERIFIER_nondet_int ();
    if (((R_1 <= -1000000000) || (R_1 >= 1000000000)))
        abort ();
    C_1 = state_0;
    A_1 = state_1;
    B_1 = state_2;
    S_1 = state_3;
    I_1 = state_4;
    K_1 = state_5;
    M_1 = state_6;
    O_1 = state_7;
    Q_1 = state_8;
    if (!
        ((B_1 || (!S_1) || (!C_1) || (!A_1) || (1 <= (I_1 + (-1 * K_1)))
          || (G_1 && F_1 && (!E_1) && (!D_1) && (I_1 == H_1) && (K_1 == J_1)
              && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (A_1 || B_1
                                                                    || S_1
                                                                    || (!C_1)
                                                                    || (R_1 ==
                                                                        0)
                                                                    || (G_1
                                                                        &&
                                                                        (!F_1)
                                                                        && E_1
                                                                        && D_1
                                                                        &&
                                                                        (I_1
                                                                         ==
                                                                         H_1)
                                                                        &&
                                                                        (K_1
                                                                         ==
                                                                         J_1)
                                                                        &&
                                                                        (M_1
                                                                         ==
                                                                         L_1)
                                                                        &&
                                                                        (O_1
                                                                         ==
                                                                         N_1)
                                                                        &&
                                                                        (Q_1
                                                                         ==
                                                                         P_1)))
         && (S_1 || (!B_1) || (!C_1) || (!A_1) || (!(M_1 == 0))
             || (G_1 && (!F_1) && (!E_1) && D_1 && (I_1 == H_1)
                 && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1)
                 && (Q_1 == P_1))) && (S_1 || (!B_1) || (!C_1) || (!A_1)
                                       || (M_1 == 0) || (G_1 && (!F_1)
                                                         && (!E_1) && (!D_1)
                                                         && (I_1 == H_1)
                                                         && (K_1 == J_1)
                                                         && (M_1 == L_1)
                                                         && (O_1 == N_1)
                                                         && (Q_1 == P_1)))
         && (A_1 || B_1 || S_1 || (!C_1) || (!(R_1 == 0))
             || ((!G_1) && (!F_1) && E_1 && D_1 && (I_1 == H_1)
                 && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1)
                 && (Q_1 == P_1))) && (C_1 || S_1 || (!B_1) || (!A_1)
                                       || ((!G_1) && F_1 && (!E_1) && D_1
                                           && (K_1 == J_1) && (M_1 == L_1)
                                           && (O_1 == N_1) && (Q_1 == P_1)
                                           && ((I_1 + (-1 * H_1) + O_1) ==
                                               0))) && (A_1 || S_1 || (!B_1)
                                                        || (!C_1) || ((!G_1)
                                                                      && F_1
                                                                      && E_1
                                                                      && D_1
                                                                      && (I_1
                                                                          ==
                                                                          H_1)
                                                                      && (M_1
                                                                          ==
                                                                          L_1)
                                                                      && (O_1
                                                                          ==
                                                                          N_1)
                                                                      && (Q_1
                                                                          ==
                                                                          P_1)
                                                                      &&
                                                                      ((K_1 +
                                                                        (-1 *
                                                                         J_1)
                                                                        +
                                                                        Q_1)
                                                                       == 0)))
         && (A_1 || B_1 || C_1 || (!S_1)
             || (G_1 && (!F_1) && E_1 && (!D_1) && (I_1 == H_1)
                 && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1)
                 && ((K_1 + (-1 * J_1)) == -1))) && (B_1 || S_1 || (!C_1)
                                                     || (!A_1) || ((!G_1)
                                                                   && F_1
                                                                   && (!E_1)
                                                                   && (!D_1)
                                                                   && (I_1 ==
                                                                       H_1)
                                                                   && (K_1 ==
                                                                       J_1)
                                                                   && (M_1 ==
                                                                       L_1)
                                                                   && (Q_1 ==
                                                                       P_1)
                                                                   &&
                                                                   ((O_1 +
                                                                     (-1 *
                                                                      N_1)) ==
                                                                    -1)))
         && (A_1 || C_1 || S_1 || (!B_1)
             || ((!G_1) && F_1 && E_1 && (!D_1) && (I_1 == H_1)
                 && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1)
                 && ((Q_1 + (-1 * P_1)) == -1))) && (A_1 || C_1 || (!S_1)
                                                     || (!B_1) || (G_1 && F_1
                                                                   && E_1
                                                                   && (!D_1)
                                                                   && (I_1 ==
                                                                       H_1)
                                                                   && (K_1 ==
                                                                       J_1)
                                                                   && (M_1 ==
                                                                       L_1)
                                                                   && (O_1 ==
                                                                       N_1)
                                                                   && (Q_1 ==
                                                                       P_1)))
         && (A_1 || (!S_1) || (!B_1) || (!C_1)
             || (G_1 && F_1 && (!E_1) && D_1 && (I_1 == H_1) && (K_1 == J_1)
                 && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (B_1
                                                                       || C_1
                                                                       ||
                                                                       (!S_1)
                                                                       ||
                                                                       (!A_1)
                                                                       || (G_1
                                                                           &&
                                                                           (!F_1)
                                                                           &&
                                                                           (!E_1)
                                                                           &&
                                                                           D_1
                                                                           &&
                                                                           (I_1
                                                                            ==
                                                                            H_1)
                                                                           &&
                                                                           (K_1
                                                                            ==
                                                                            J_1)
                                                                           &&
                                                                           (M_1
                                                                            ==
                                                                            L_1)
                                                                           &&
                                                                           (O_1
                                                                            ==
                                                                            N_1)
                                                                           &&
                                                                           (Q_1
                                                                            ==
                                                                            P_1)))
         && (A_1 || B_1 || (!S_1) || (!C_1)
             || ((!G_1) && (!F_1) && (!E_1) && D_1 && (I_1 == H_1)
                 && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1)
                 && (Q_1 == P_1))) && (A_1 || B_1 || C_1 || S_1 || ((!G_1)
                                                                    && (!F_1)
                                                                    && (!E_1)
                                                                    && (!D_1)
                                                                    && (I_1 ==
                                                                        H_1)
                                                                    && (K_1 ==
                                                                        J_1)
                                                                    && (M_1 ==
                                                                        L_1)
                                                                    && (O_1 ==
                                                                        N_1)
                                                                    && (Q_1 ==
                                                                        P_1)))
         && (C_1 || (!S_1) || (!B_1) || (!A_1)
             || ((!G_1) && (!F_1) && (!E_1) && (!D_1) && (I_1 == H_1)
                 && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1)
                 && (Q_1 == P_1))) && (B_1 || C_1 || S_1 || (!A_1) || ((!G_1)
                                                                       &&
                                                                       (!F_1)
                                                                       &&
                                                                       (!E_1)
                                                                       && D_1
                                                                       && (P_1
                                                                           ==
                                                                           0)
                                                                       && (N_1
                                                                           ==
                                                                           0)
                                                                       && (J_1
                                                                           ==
                                                                           0)
                                                                       && (H_1
                                                                           ==
                                                                           0)
                                                                       && (M_1
                                                                           ==
                                                                           L_1)))
         && (B_1 || (!S_1) || (!C_1) || (!A_1) || (!(1 <= (I_1 + (-1 * K_1))))
             || (G_1 && F_1 && (!E_1) && D_1 && (I_1 == H_1) && (K_1 == J_1)
                 && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1)))))
        abort ();
    state_0 = D_1;
    state_1 = E_1;
    state_2 = F_1;
    state_3 = G_1;
    state_4 = H_1;
    state_5 = J_1;
    state_6 = L_1;
    state_7 = N_1;
    state_8 = P_1;
    goto state_0;
  main_error:
    reach_error ();
  main_final:
    goto main_final;
  state_0:
    switch (__VERIFIER_nondet__Bool ())
      {
      case 0:
          C_2 = state_0;
          A_2 = state_1;
          B_2 = state_2;
          I_2 = state_3;
          D_2 = state_4;
          E_2 = state_5;
          F_2 = state_6;
          G_2 = state_7;
          H_2 = state_8;
          if (!(B_2 && (!A_2) && I_2 && C_2))
              abort ();
          goto main_error;

      case 1:
          D_1 = __VERIFIER_nondet__Bool ();
          E_1 = __VERIFIER_nondet__Bool ();
          F_1 = __VERIFIER_nondet__Bool ();
          G_1 = __VERIFIER_nondet__Bool ();
          H_1 = __VERIFIER_nondet_int ();
          if (((H_1 <= -1000000000) || (H_1 >= 1000000000)))
              abort ();
          J_1 = __VERIFIER_nondet_int ();
          if (((J_1 <= -1000000000) || (J_1 >= 1000000000)))
              abort ();
          L_1 = __VERIFIER_nondet_int ();
          if (((L_1 <= -1000000000) || (L_1 >= 1000000000)))
              abort ();
          N_1 = __VERIFIER_nondet_int ();
          if (((N_1 <= -1000000000) || (N_1 >= 1000000000)))
              abort ();
          P_1 = __VERIFIER_nondet_int ();
          if (((P_1 <= -1000000000) || (P_1 >= 1000000000)))
              abort ();
          R_1 = __VERIFIER_nondet_int ();
          if (((R_1 <= -1000000000) || (R_1 >= 1000000000)))
              abort ();
          C_1 = state_0;
          A_1 = state_1;
          B_1 = state_2;
          S_1 = state_3;
          I_1 = state_4;
          K_1 = state_5;
          M_1 = state_6;
          O_1 = state_7;
          Q_1 = state_8;
          if (!
              ((B_1 || (!S_1) || (!C_1) || (!A_1) || (1 <= (I_1 + (-1 * K_1)))
                || (G_1 && F_1 && (!E_1) && (!D_1) && (I_1 == H_1)
                    && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1)
                    && (Q_1 == P_1))) && (A_1 || B_1 || S_1 || (!C_1)
                                          || (R_1 == 0) || (G_1 && (!F_1)
                                                            && E_1 && D_1
                                                            && (I_1 == H_1)
                                                            && (K_1 == J_1)
                                                            && (M_1 == L_1)
                                                            && (O_1 == N_1)
                                                            && (Q_1 == P_1)))
               && (S_1 || (!B_1) || (!C_1) || (!A_1) || (!(M_1 == 0))
                   || (G_1 && (!F_1) && (!E_1) && D_1 && (I_1 == H_1)
                       && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1)
                       && (Q_1 == P_1))) && (S_1 || (!B_1) || (!C_1) || (!A_1)
                                             || (M_1 == 0) || (G_1 && (!F_1)
                                                               && (!E_1)
                                                               && (!D_1)
                                                               && (I_1 == H_1)
                                                               && (K_1 == J_1)
                                                               && (M_1 == L_1)
                                                               && (O_1 == N_1)
                                                               && (Q_1 ==
                                                                   P_1)))
               && (A_1 || B_1 || S_1 || (!C_1) || (!(R_1 == 0))
                   || ((!G_1) && (!F_1) && E_1 && D_1 && (I_1 == H_1)
                       && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1)
                       && (Q_1 == P_1))) && (C_1 || S_1 || (!B_1) || (!A_1)
                                             || ((!G_1) && F_1 && (!E_1)
                                                 && D_1 && (K_1 == J_1)
                                                 && (M_1 == L_1)
                                                 && (O_1 == N_1)
                                                 && (Q_1 == P_1)
                                                 && ((I_1 + (-1 * H_1) + O_1)
                                                     == 0))) && (A_1 || S_1
                                                                 || (!B_1)
                                                                 || (!C_1)
                                                                 || ((!G_1)
                                                                     && F_1
                                                                     && E_1
                                                                     && D_1
                                                                     && (I_1
                                                                         ==
                                                                         H_1)
                                                                     && (M_1
                                                                         ==
                                                                         L_1)
                                                                     && (O_1
                                                                         ==
                                                                         N_1)
                                                                     && (Q_1
                                                                         ==
                                                                         P_1)
                                                                     &&
                                                                     ((K_1 +
                                                                       (-1 *
                                                                        J_1) +
                                                                       Q_1) ==
                                                                      0)))
               && (A_1 || B_1 || C_1 || (!S_1)
                   || (G_1 && (!F_1) && E_1 && (!D_1) && (I_1 == H_1)
                       && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1)
                       && ((K_1 + (-1 * J_1)) == -1))) && (B_1 || S_1
                                                           || (!C_1) || (!A_1)
                                                           || ((!G_1) && F_1
                                                               && (!E_1)
                                                               && (!D_1)
                                                               && (I_1 == H_1)
                                                               && (K_1 == J_1)
                                                               && (M_1 == L_1)
                                                               && (Q_1 == P_1)
                                                               &&
                                                               ((O_1 +
                                                                 (-1 *
                                                                  N_1)) ==
                                                                -1))) && (A_1
                                                                          ||
                                                                          C_1
                                                                          ||
                                                                          S_1
                                                                          ||
                                                                          (!B_1)
                                                                          ||
                                                                          ((!G_1) && F_1 && E_1 && (!D_1) && (I_1 == H_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && ((Q_1 + (-1 * P_1)) == -1))) && (A_1 || C_1 || (!S_1) || (!B_1) || (G_1 && F_1 && E_1 && (!D_1) && (I_1 == H_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (A_1 || (!S_1) || (!B_1) || (!C_1) || (G_1 && F_1 && (!E_1) && D_1 && (I_1 == H_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (B_1 || C_1 || (!S_1) || (!A_1) || (G_1 && (!F_1) && (!E_1) && D_1 && (I_1 == H_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (A_1 || B_1 || (!S_1) || (!C_1) || ((!G_1) && (!F_1) && (!E_1) && D_1 && (I_1 == H_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (A_1 || B_1 || C_1 || S_1 || ((!G_1) && (!F_1) && (!E_1) && (!D_1) && (I_1 == H_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (C_1 || (!S_1) || (!B_1) || (!A_1) || ((!G_1) && (!F_1) && (!E_1) && (!D_1) && (I_1 == H_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1))) && (B_1 || C_1 || S_1 || (!A_1) || ((!G_1) && (!F_1) && (!E_1) && D_1 && (P_1 == 0) && (N_1 == 0) && (J_1 == 0) && (H_1 == 0) && (M_1 == L_1))) && (B_1 || (!S_1) || (!C_1) || (!A_1) || (!(1 <= (I_1 + (-1 * K_1)))) || (G_1 && F_1 && (!E_1) && D_1 && (I_1 == H_1) && (K_1 == J_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1)))))
              abort ();
          state_0 = D_1;
          state_1 = E_1;
          state_2 = F_1;
          state_3 = G_1;
          state_4 = H_1;
          state_5 = J_1;
          state_6 = L_1;
          state_7 = N_1;
          state_8 = P_1;
          goto state_0;

      default:
          abort ();
      }

    // return expression

}

